import "dotenv/config"
import NotionData from "./NotionData"
import OpenExchangeRates from "./OpenExchangeRates"
;(async () => {
  const openExchangeRates = new OpenExchangeRates({
    apiKey: process.env["OPEN_EXCHANGE_RATES_KEY"]!,
  })
  const notion = new NotionData({
    notionKey: process.env["NOTION_KEY"]!,
    databaseId: process.env["NOTION_DB_ID"]!,
  })

  const currenciesMap = await openExchangeRates.currencies()
  const rates = await openExchangeRates.latest(Object.keys(currenciesMap))

  await notion.syncCurrencies(currenciesMap)
  await notion.updateRates(rates)
})()
